import OHeader from '@/components/o-header'
import OSearch from '@/components/o-search'
import OSticky from '@/components/o-sticky'
import { Cell, Icon, Image } from 'vant'
import { defineComponent, reactive } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'companion-teacher',
  setup() {
    const state = reactive({
      showPopover: false,
      oPopover: false
    })
    return () => (
      <>
        <OSticky position="top">
          <OHeader border={false}>{{ right: () => <Icon name="plus" size={19} /> }}</OHeader>
          <OSearch placeholder="请输入伴学老师姓名" inputBackground="white" background="#f6f8f9" />
          <div class={styles.searchType}>
            <div class={styles.searchBand}>
              全部声部 <Icon name={state.showPopover ? 'arrow-up' : 'arrow-down'} />
            </div>

            <div class={styles.searchBand} style="margin-left: 16px">
              状态 <Icon name={state.oPopover ? 'arrow-up' : 'arrow-down'} />
            </div>
          </div>
        </OSticky>

        <Cell>
          {{
            icon: () => (
              <Image
                class={styles.img}
                src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
              />
            )
          }}
        </Cell>
      </>
    )
  }
})
