import OHeader from '@/components/o-header'
import { Button, Cell, CellGroup, Grid, GridItem, Image } from 'vant'
import { defineComponent } from 'vue'
import styles from './manage-detail.module.less'

export default defineComponent({
  name: 'manage-detail',
  setup() {
    return () => (
      <>
        <OHeader />

        <CellGroup inset class={styles.detailCellGroup}>
          <Cell center class={styles.detailCell}>
            {{
              icon: () => (
                <Image
                  class={styles.img}
                  src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                />
              ),
              title: () => (
                <div class={styles.content}>
                  <p class={styles.name}>林老师</p>
                  <p class={styles.phone}>10000000021</p>
                </div>
              )
            }}
          </Cell>
        </CellGroup>

        <div class={styles.sectionTitle}>
          <i></i>
          基本信息
        </div>

        <CellGroup inset class={styles.detailCellGroup}>
          <Cell title={'手机号码'} value="13000000001"></Cell>
          <Cell title={'性别'} value="女"></Cell>
        </CellGroup>

        <div class={styles.sectionTitle}>
          <i></i>
          功能权限
        </div>

        <Grid border={false} class={styles.functionGrid}>
          <GridItem>
            {{
              icon: () => (
                <Image
                  class={styles.functionImg}
                  src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                />
              ),
              text: () => <div class={styles.functionText}>保存图片</div>
            }}
          </GridItem>
          <GridItem>
            {{
              icon: () => (
                <Image
                  class={styles.functionImg}
                  src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                />
              ),
              text: () => <div class={styles.functionText}>保存图片</div>
            }}
          </GridItem>
          <GridItem>
            {{
              icon: () => (
                <Image
                  class={styles.functionImg}
                  src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                />
              ),
              text: () => <div class={styles.functionText}>保存图片</div>
            }}
          </GridItem>
          <GridItem>
            {{
              icon: () => (
                <Image
                  class={styles.functionImg}
                  src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                />
              ),
              text: () => <div class={styles.functionText}>保存图片</div>
            }}
          </GridItem>
          <GridItem>
            {{
              icon: () => (
                <Image
                  class={styles.functionImg}
                  src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                />
              ),
              text: () => <div class={styles.functionText}>保存图片</div>
            }}
          </GridItem>
        </Grid>

        <div class={['btnGroup', 'btnMore']} style={{ paddingLeft: '13px', paddingRight: '13px' }}>
          <Button type="primary" round>
            修改权限
          </Button>
          <Button type="primary" round color="#64A9FF">
            冻结账号
          </Button>
        </div>
      </>
    )
  }
})
