import { Button, Cell, CellGroup, Field, Radio, RadioGroup, Tag } from 'vant'
import { defineComponent } from 'vue'
import styles from '../index.module.less'

export default defineComponent({
  name: 'apply',
  emits: ['next'],
  setup(props, { slots, attrs, emit }) {
    const onSubmit = () => {
      emit('next', 'payment')
    }
    return () => (
      <>
        <div class={styles.applyTitle}>学生信息</div>
        <CellGroup inset class={styles.applyCellGroup}>
          <Field required label="学生信息" placeholder="请填写学生真实姓名" inputAlign="right" />
          <Field required label="性别" inputAlign="right">
            {{
              input: () => (
                <RadioGroup>
                  <Tag size="large" type="primary" plain class={styles.radioSection}>
                    <Radio class={styles.radioItem} name={true}></Radio>男生
                  </Tag>
                  <Tag size="large" type="primary" plain class={styles.radioSection}>
                    <Radio class={styles.radioItem} name={true}></Radio>女生
                  </Tag>
                </RadioGroup>
              )
            }}
          </Field>
          <Field
            required
            label="年级"
            inputAlign="right"
            readonly
            isLink
            placeholder="请选择年级"
          />
          <Field
            required
            label="班级"
            inputAlign="right"
            readonly
            isLink
            placeholder="请选择班级"
          />
        </CellGroup>

        <div class={styles.applyTitle}>声部信息</div>
        <CellGroup inset class={styles.applyCellGroup}>
          <Field
            required
            label="声部"
            inputAlign="right"
            readonly
            isLink
            placeholder="请选择声部"
          />
        </CellGroup>

        <div class={styles.applyTitle}>家长信息</div>
        <CellGroup inset class={styles.applyCellGroup}>
          <Field required label="家长名称" inputAlign="right" placeholder="请输入家长名称" />
          <Field required label="手机号" inputAlign="right" placeholder="请输入手机号" />
        </CellGroup>

        <div class={'btnGroup'} style={{ paddingTop: '30px' }}>
          <Button type="primary" round block onClick={onSubmit}>
            下一步
          </Button>
        </div>
      </>
    )
  }
})
