import { Button, Cell, CellGroup, Grid, GridItem, Image } from 'vant'
import { defineComponent, ref } from 'vue'
import styles from '../index.module.less'

export default defineComponent({
  name: 'order',
  emits: ['next'],
  setup() {
    const s = ref(true)
    return () => (
      <div style={{ paddingTop: '20px' }}>
        {[1, 2, 3, 4, 5].map((item: any) => (
          <CellGroup inset class={styles.orderCellGroup}>
            <Cell
              title={'2021-09-08 13:23:43'}
              titleClass={styles.payTime}
              value={'待缴费'}
              valueClass={s.value ? styles.payStatus : styles.paySuccess}
            ></Cell>
            <Cell border={false} class={styles.imgGroup}>
              {{
                title: () => (
                  <Grid border={false}>
                    <GridItem>
                      <Image
                        class={styles.img}
                        src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                      />
                    </GridItem>
                    <GridItem>
                      <Image
                        class={styles.img}
                        src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                      />
                    </GridItem>
                    <GridItem>
                      <Image
                        class={styles.img}
                        src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                      />
                    </GridItem>
                    {/* <GridItem>
                    <Image
                      class={styles.img}
                      src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                    />
                  </GridItem> */}
                  </Grid>
                )
              }}
            </Cell>
            <Cell class={styles.btnGroup} center>
              {{
                title: () => <span class={styles.btnPrice}>¥3,860.00</span>,
                value: () => (
                  <div class={styles.btns}>
                    <Button round plain color="#AAAAAA">
                      修改订单
                    </Button>
                    <Button round plain color="#FF8057">
                      继续支付
                    </Button>
                  </div>
                )
              }}
            </Cell>
          </CellGroup>
        ))}
      </div>
    )
  }
})
