import OHeader from '@/components/o-header'
import { defineComponent } from 'vue'
import styles from './order-detail.module.less'
import Addres from './component/addres'
import OSticky from '@/components/o-sticky'
import { Button, Cell, CellGroup, Image, Tag } from 'vant'

export default defineComponent({
  name: 'order-detail',
  setup() {
    const onSubmit = () => {}
    return () => (
      <>
        <OHeader />
        <div class={styles.cartConfirm}>
          <div class={styles.cartConfirmBox}>
            <Addres />
          </div>

          <CellGroup style={{ margin: 0 }}>
            <Cell class={styles.cellItem} center>
              {{
                icon: () => (
                  <Image
                    class={styles.img}
                    src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                  />
                ),
                title: () => (
                  <div class={styles.goodsContent}>
                    <h2>长笛标准配置</h2>
                    <Tag type="primary">品牌型号</Tag>
                    <p class={styles.goodsNum}>x 1</p>
                  </div>
                ),
                value: () => <span class={styles.cellPrice}>1212</span>
              }}
            </Cell>
            <Cell class={styles.cellItem} center>
              {{
                icon: () => (
                  <Image
                    class={styles.img}
                    src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
                  />
                ),
                title: () => (
                  <div class={styles.goodsContent}>
                    <h2>长笛标准配置长笛标准配置</h2>
                    <Tag type="primary">品牌型号</Tag>
                    <p class={styles.goodsNum}>x 1</p>
                  </div>
                ),
                value: () => <span class={styles.cellPrice}>1212</span>
              }}
            </Cell>
          </CellGroup>
        </div>

        <OSticky position="bottom" background="white">
          <div class={styles.paymentContainer}>
            <div class={styles.payemntPrice}>
              <p class={styles.needPrice}>
                共需支付：<span>¥3,860.00</span>
              </p>
            </div>
            <div class={styles.paymentBtn}>
              <Button
                color="linear-gradient(135deg, #FF8C4A 0%, #FF531C 100%)"
                round
                onClick={onSubmit}
              >
                立即购买
              </Button>
            </div>
          </div>
        </OSticky>
      </>
    )
  }
})
