import OSticky from '@/components/o-sticky'
import { Button, Cell, CellGroup, Field, Switch } from 'vant'
import { defineComponent, reactive } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'address-operation',
  setup() {
    const state = reactive({
      checked: false
    })
    return () => (
      <div class={styles.operation}>
        <CellGroup inset class={styles.form}>
          <Field label="收货人" placeholder="请输入收货人姓名" />
          <Field label="手机号" placeholder="请输入收货人人手机号" />
          <Field label="所在地区" placeholder="省、市、区、街道" readonly isLink />
          <Field label="详细地址" placeholder="小区楼栋/乡村名称" type="textarea" rows={3} />
        </CellGroup>

        <CellGroup inset style={{ marginTop: '12px' }}>
          <Cell title="设置为默认地址" center class={styles.default}>
            {{ value: () => <Switch v-model={state.checked} size="23px" /> }}
          </Cell>
        </CellGroup>

        <OSticky position="bottom">
          <div class="btnGroup">
            <Button type="primary" block round>
              确认
            </Button>
          </div>
        </OSticky>
      </div>
    )
  }
})
