import { Button, Cell, SwipeCell, Tag, Image, Icon, showConfirmDialog } from 'vant'
import { defineComponent } from 'vue'
import styles from './index.module.less'
import iconEdit from '../pre-apply/images/icon-edit.png'
import OSticky from '@/components/o-sticky'

export default defineComponent({
  name: 'shop-address',
  setup() {
    const onBeforeClose = ({ position }: any) => {
      if (position === 'right') {
        showConfirmDialog({
          title: '确定删除吗？'
        }).then(() => {
          return true
        })
      } else {
        return true
      }
    }
    return () => (
      <div class={styles.shopAddress}>
        {[1, 2, 3, 4, 5].map((item: any) => (
          <SwipeCell class={styles.swipeCell} beforeClose={onBeforeClose}>
            {{
              default: () => (
                <Cell center>
                  {{
                    title: () => (
                      <div class={styles.title}>
                        <span class={styles.name}>小林林</span>
                        <span class={styles.phone}>15353535353</span>
                        <Tag round color="#FF8057">
                          默认
                        </Tag>
                      </div>
                    ),
                    label: () => (
                      <div class={styles.content}>
                        湖北省武汉市武昌区水果湖街街道楚河汉街总部国际A座3801
                      </div>
                    ),
                    'right-icon': () => <Icon name={iconEdit} size="18" />
                  }}
                </Cell>
              ),
              right: () => <Button type="danger">删除</Button>
            }}
          </SwipeCell>
        ))}

        <OSticky position="bottom">
          <div class={'btnGroup'}>
            <Button type="primary" round block>
              新建收货地址
            </Button>
          </div>
        </OSticky>
      </div>
    )
  }
})
